## surf-display 0.0.5

=== Makefile ===
PREFIX  ?= /usr/local
DESTDIR ?=

all: build

build: pdflatex man

pdflatex::
	cd data && pdflatex surf-display.tex && pdflatex surf-display.tex
	gzip -9 -c -n data/surf-display.pdf > data/surf-display.pdf.gz

man::
	gzip -9 -c -n data/surf-display.1 > data/surf-display.1.gz

install:
	if [ ! -e data/surf-display.pdf.gz ]; then \
	    echo "Run 'make build' first, before running 'sudo make install'."; \
	    exit -1; \
	fi

        # script
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	install -m 0755 bin/surf-display $(DESTDIR)$(PREFIX)/bin/

	# LaTeX Beamer PDF: Impressive HowTo
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/surf-display/
	install -m 0644 data/*.pdf.gz $(DESTDIR)$(PREFIX)/share/doc/surf-display/

	# man page
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0644 data/*.1.gz $(DESTDIR)$(PREFIX)/share/man/man1/

	# man page
	mkdir -p $(DESTDIR)$(PREFIX)/share/surf-display
	install -m 0644 data/empty-page.html $(DESTDIR)$(PREFIX)/share/surf-display/

	# register as available Xsession
	mkdir -p $(DESTDIR)$(PREFIX)/share/xsessions/
	install -m 0644 data/*.desktop $(DESTDIR)$(PREFIX)/share/xsessions/

clean::
	-rm data/surf-display.aux \
	    data/surf-display.log \
	    data/surf-display.nav \
	    data/surf-display.out \
	    data/surf-display.pdf \
	    data/surf-display.pdf.gz \
	    data/surf-display.snm \
	    data/surf-display.toc
	-rm data/surf-display.1.gz

.PHONY: man pdflatex
