=== debian/changelog ===
surf-display (0.0.5-3) unstable; urgency=medium

  * Team Upload
  * Drop dependency on CDBS

 -- Alexandre Detiste <tchet@debian.org>  Wed, 10 Sep 2025 09:55:18 +0200

surf-display (0.0.5-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + debian/control: Set Priority: to optional.
    + Package now complies to Standard-Version: 4.2.0.
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.
  * debian/{control,compat}:
    + Switch to DH compat level version 10 (for now, until CDBS supports 11).
  * debian/watch:
    + Use secure URL for upstream tarball download.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Aug 2018 13:49:53 +0200

surf-display (0.0.5-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #858378).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Jun 2017 00:08:42 +0200
