=== debian/watch ===
version=4
https://code.it-zukunft-schule.de/cgit/surf-display/ \
    snapshot/surf-display-(\d\.\d\.\d)\.tar\.gz
